## edu.stanford.nlp.tagger.maxent
Enum TaggerConfig.Mode

    java.lang.Object
      java.lang.Enum<TaggerConfig.Mode>
          edu.stanford.nlp.tagger.maxent.TaggerConfig.Mode

All Implemented Interfaces:
  Serializable, Comparable<TaggerConfig.Mode>

Enclosing class:
  TaggerConfig

    public static enum TaggerConfig.Mode

extends Enum<TaggerConfig.Mode>

Enum Constant Summary
`CONVERT`
`DUMP`
`TAG`
`TEST`
`TRAIN`

Method Summary
`static TaggerConfig.Mode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaggerConfig.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRAIN

    public static final TaggerConfig.Mode TRAIN

### TEST

    public static final TaggerConfig.Mode TEST

### TAG

    public static final TaggerConfig.Mode TAG

### CONVERT

    public static final TaggerConfig.Mode CONVERT

### DUMP

    public static final TaggerConfig.Mode DUMP

Method Detail

### values

    public static TaggerConfig.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaggerConfig.Mode c : TaggerConfig.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaggerConfig.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Stanford NLP Group